This service will be undergoing disruptive maintenance at 7:00PM UTC, 2020-01-18. It is expected to last approximately one hour.
Bug 1537249 - Kerberos in Python modernization
Summary: Kerberos in Python modernization
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robbie Harwood
QA Contact:
URL:
Whiteboard: ChangeAcceptedF28,SystemWideChange
Depends On: 1546835 1546836 1546882 1546884 1549312 1551139 1560681
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-22 19:05 UTC by Jan Kurik
Modified: 2018-05-03 18:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 12:05:01 UTC


Attachments (Terms of Use)

Description Jan Kurik 2018-01-22 19:05:04 UTC
This is a tracking bug for Change: Kerberos in Python modernization
For more details, see: https://fedoraproject.org/wiki/Changes/kerberos-in-python-modernization

Replace usage of python-krbV and pykerberos with python-gssapi in all Fedora packages to enable their removal from Fedora.  rharwood will author all necessary code changes; no new code from maintainers is required.

Comment 1 Jan Kurik 2018-02-20 14:10:15 UTC
On 2018-Feb-20, we have reached the Fedora 28 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2018-Feb-23 meeting.

Comment 2 Fedora End Of Life 2018-02-20 15:38:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 4 Jan Kurik 2018-02-20 15:57:58 UTC
Today the Change should be in "Testable" state, which means the coding should be ready for a testing. However there is a time till March 6th, when the Change proposal should be "100% completed", which means the code is not only testable, but it is fully completed.

Comment 5 Robbie Harwood 2018-02-23 17:15:33 UTC
I guess MODIFIED means testable here?

Comment 6 Jan Kurik 2018-03-06 08:58:11 UTC
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 7 Robbie Harwood 2018-03-06 17:44:52 UTC
Alright, well: it's not complete.  It's fine to ship incomplete, as per my original proposal.  I'll keep working on it, of course.

Comment 8 Zbigniew Jędrzejewski-Szmek 2018-03-23 17:09:49 UTC
This was discussed in FESCo meeting on 2018-03-16:
AGREED: (+1:6,+0:0,-1:0) - ask change owner to update change with what will be shipped in f28 and file any later changes in an F29 change request

Can you update the Change page to reflect what was done in F28?

Comment 9 Robbie Harwood 2018-03-26 16:46:18 UTC
Updated.  Please let me know if you need anything else.

Comment 10 Zbigniew Jędrzejewski-Szmek 2018-03-26 17:04:49 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.